Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes
DSetAccPropList Class Reference

`#include <c++/src/H5DaccProp.h>`

## Detailed Description

Class DSetAccPropList inherits from LinkAccPropList and provides wrappers for the HDF5 dataset access property functions.

Inheritance diagram for DSetAccPropList:

## Public Member Functions
| DSetAccPropList ()
| DSetAccPropList (const DSetAccPropList &orig)
| DSetAccPropList (const hid_t plist_id)
virtual H5std_string | fromClass () const override
| Returns this class name.
void | getChunkCache (size_t &rdcc_nslots, size_t &rdcc_nbytes, double &rdcc_w0) const
void | setChunkCache (size_t rdcc_nslots, size_t rdcc_nbytes, double rdcc_w0) const
virtual | ~DSetAccPropList () override=default
Public Member Functions inherited from LinkAccPropList
size_t | getNumLinks () const
| LinkAccPropList ()
| LinkAccPropList (const hid_t plist_id)
| LinkAccPropList (const LinkAccPropList &original)
void | setNumLinks (size_t nlinks) const
virtual | ~LinkAccPropList () override=default
Public Member Functions inherited from PropList
virtual void | close () override
void | closeClass () const
void | copy (const PropList &like_plist)
void | copyProp (PropList &dest, const char *name) const
void | copyProp (PropList &dest, const H5std_string &name) const
void | copyProp (PropList &dest, PropList &src, const char *name) const
void | copyProp (PropList &dest, PropList &src, const H5std_string &name) const
hid_t | getClass () const
H5std_string | getClassName () const
PropList | getClassParent () const
virtual hid_t | getId () const override
size_t | getNumProps () const
H5std_string | getProperty (const char *name) const
void | getProperty (const char *name, void *value) const
H5std_string | getProperty (const H5std_string &name) const
void | getProperty (const H5std_string &name, void *value) const
size_t | getPropSize (const char *name) const
size_t | getPropSize (const H5std_string &name) const
bool | isAClass (const PropList &prop_class) const
PropList & | operator= (const PropList &rhs)
bool | operator== (const PropList &rhs) const
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const H5std_string &name) const
| PropList ()
| PropList (const hid_t plist_id)
| PropList (const PropList &original)
void | removeProp (const char *name) const
void | removeProp (const H5std_string &name) const
void | setProperty (const char *name, const char *charptr) const
void | setProperty (const char *name, const H5std_string &strg) const
void | setProperty (const char *name, const void *value) const
void | setProperty (const char *name, H5std_string &strg) const
void | setProperty (const char *name, void *value) const
void | setProperty (const H5std_string &name, const H5std_string &strg) const
void | setProperty (const H5std_string &name, const void *value) const
void | setProperty (const H5std_string &name, H5std_string &strg) const
void | setProperty (const H5std_string &name, void *value) const
virtual | ~PropList () override
Public Member Functions inherited from IdComponent
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from LinkAccPropList
static void | deleteConstants ()
Static Public Member Functions inherited from PropList
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Static Public Attributes
static const DSetAccPropList & | DEFAULT
| Default dataset creation property list.
Static Public Attributes inherited from LinkAccPropList
static const LinkAccPropList & | DEFAULT
| Default link access property list.
Static Public Attributes inherited from PropList
static const PropList & | DEFAULT
| Default property list.

## Additional Inherited Members
Protected Member Functions inherited from PropList
virtual void | p_setId (const hid_t new_id) override
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from PropList
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ DSetAccPropList() [1/3]

DSetAccPropList | ( |  | ) |

## ◆ DSetAccPropList() [2/3]

DSetAccPropList | ( | const DSetAccPropList & | orig | ) |

## ◆ DSetAccPropList() [3/3]

DSetAccPropList | ( | const hid_t | plist_id | ) |

## ◆ ~DSetAccPropList()

virtual ~DSetAccPropList | ( |  | ) |
| override virtual default

## Member Function Documentation

## ◆ deleteConstants()

static void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from LinkAccPropList.

## ◆ getChunkCache()

void getChunkCache | ( | size_t & | rdcc_nslots,
|  | size_t & | rdcc_nbytes,
|  | double & | rdcc_w0 ) const

## ◆ setChunkCache()

void setChunkCache | ( | size_t | rdcc_nslots,
|  | size_t | rdcc_nbytes,
|  | double | rdcc_w0 ) const

## Field Documentation

## ◆ DEFAULT

const DSetAccPropList& DEFAULT
| static

Default dataset creation property list.

The documentation for this class was generated from the following file:

- c++/src/H5DaccProp.h